Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainCreateRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainDataRequest
              de.knipp.rritoolkit.request.DomainCreateRequest

    public class DomainCreateRequest

extends DomainDataRequest

class that represents a domain create request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary

Fields inherited from class de.knipp.rritoolkit.request.DomainDataRequest
`domain`

Constructor Summary
`DomainCreateRequest()` constructor
`DomainCreateRequest(DomainData theDomain)` constructor

Method Summary
`DomainCreateResponse` | `execute(Port port)` executes the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`protected java.lang.String` | `getRequestElementName()` return the XML element name

Methods inherited from class de.knipp.rritoolkit.request.DomainDataRequest
`getDomain, includeDnsData, requestToKVList, requestToXml, setDomain, toString`

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainCreateRequest

    public DomainCreateRequest()

  constructor

### DomainCreateRequest

    public DomainCreateRequest(DomainData theDomain)

  constructor

  Parameters:
    `theDomain` - the domain

Method Detail

### execute

    public DomainCreateResponse execute(Port port)
                                 throws java.io.IOException

  executes the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### getRequestElementName

    protected java.lang.String getRequestElementName()

  return the XML element name

  Specified by:
    `getRequestElementName` in class `DomainDataRequest`
  Returns:
    the element name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH